import { z } from "zod";
export const UpdateContactInformationRequestSchema = z.object({
    importedContact: z.object({
        getOrUpdateContact: z.object({
            sourceInformation: z.object({
                sourceSystemCode: z.string(),
                sourceContactId: z.string(),
            }),
            contactInfo: z.object({
                eMail: z.string(),
                mobilePhoneNo: z.string(),
                phoneNo: z.string(),
            }),
            contactPreferences: z.object({
                eMarketingEmail: z.boolean(),
            }),
            contactNameAddress: z.object({
                socialSecurityNo: z.string(),
            }),
        }),
    }),
});
export const getContactInformationQueryRequestSchema = z.object({
    countryIds: z.string(),
    correlationId: z.string().optional(),
    businessAreaIds: z.string(),
    legalId: z.string()
});
